/* ROOT */
/* Hidden elements */
.hide, [data-template] {
  display: none !important;
}


/* Global */
html {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  font-size: 62.5%;
  overflow: hidden;
  position: relative;
  background-color: white;
}

body {
  color: #fff;
  font-size: 1.6rem;
  line-height: 2.2rem;
  text-align: center;
  vertical-align: middle;
}

/* Text conventions */
h1, h2, h3, h4, h5, h6 {
  margin: 0;
  padding: 0;
  font-weight: normal;
}

ul, ol, dl, dt, dd {
  padding: 0;
  margin: 0;
  list-style-type: none;
}

p, li {
  word-wrap: break-word;
  margin: 0;
  padding: 0;
}

q {
  quotes: none;
  display: block;
}

pre, blockquote {
  padding: 0;
  margin: 0;
}

em {
  font-style: italic;
}

address {
  font-style: normal;
  display: inline;
}

abbr, acronym {
  cursor: default;
  border: none;
}

strong {
  font-weight: bold;
}

b {
  font-weight: 600;
}

small {
  font-size: 1.1rem;
  line-height: 1rem;
  color: #999;
}

/* Links */
a {
  text-decoration: none;
  outline: none;
  color: #333;
}

a:hover {
  text-decoration: none;
}

a img {
  border: none;
}

a abbr {
  cursor: pointer;
}

/* Icons */
span[role="button"] {
  font-style: normal;
}

span[role="button"] + b, span[role="button"] + span {
  vertical-align: middle;
}

/* Tables */
table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
}

td {
  vertical-align: top;
}

caption, th {
  text-align: left;
}

caption {
  text-indent: -9999rem;
  width: 0;
  height: 0;
  overflow: hidden;
}

/* Forms */
form {
  margin: 0;
}

input:focus, textarea:focus {
  outline: none;
}

textarea {
  resize: none;
  overflow: auto;
  height: 4.6rem;
}

[contenteditable] {
  outline: none;
  word-wrap: break-word;
}

/* Media */
img {
  display: block;
  padding: 0;
  margin: 0;
  width: 100%;
}

img:-moz-broken {
  line-height: 1.1rem;
  overflow: hidden;
}

/* HTML 5 */
article, aside, details, figcaption, figure, footer, header, hgroup,
menu, nav, section, video, audio, canvas, progress, meter, time {
  display: block;
  padding: 0;
  margin: 0;
}

/* APP */
/* view */

.view {
  position: absolute;
  overflow: hidden;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: translate(0, 0);
}

.view:not(.view-noscroll) {
  overflow-x: hidden;
  overflow-y: auto;
}

.view-right {
  transform: translateX(100%);
}

.view-bottom {
  transform: translateY(100%);
}

/* Rewritting from buttons.css */
section[role="region"] > header:first-child button,
section[role="region"] > header:first-child a[role="button"] {
  white-space: normal;
}

/* Buttons inside list redefinition */
li button span,
li a[role="button"] span {
  font-size: 0;
}

/* Extending components */
li button.activity > b em ,
li a[role="button"].activity > b em{
  color: #727272;
  font-style: normal;
}

[data-type="list"] aside span[data-type="img"] {
  box-shadow: none;
}

[data-type="list"] li[data-visited="true"] aside span[data-type="img"] {
  box-shadow: 0 0 0 0.1rem #dedede;
}

[data-type="list"] li p {
  margin-left: 1.5rem;
}

li button.activity > b ,
li a[role="button"].activity > b{
  font-weight: normal;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  display: block;
  position: absolute;
  left: 1.5rem;
  right: 3rem;
  top: 1rem;
  bottom: 0;
}

/* BB Lists extending */
#view-contacts-list [data-type="list"] {
  padding: 2.5rem 2.5rem 0 0;
}

.active[data-type="list"] li:after, [data-type="list"] li > a:after {
  left: 0;
}

[data-type="list"] header {
  padding: 0 0 0 1.5rem;
  position: sticky;
  top: -1.5rem;
  background: #FFF;
  z-index: 2;
}

[data-type="list"].active li:after {
  right: 0;
}

/* JS helper */
[data-type="list"] li p,
[data-type="list"] li aside {
  pointer-events: none;
}

/* Selection tag extended from shared/style/buttons.css */
.view-select-tag .selection-list li button {
  background-color: #fff;
}

.view-select-tag .selection-list li button.icon-selected:before {
  background: transparent url(gphx/bitmap/default/lists/tick.png) no-repeat center center / 2rem;
}

#custom-tag {
  margin-bottom: 2rem;
}

/* Body */
.view-body {
  position: relative;
  height: calc(100% - 5rem);
}

#view-screenshot.contact-list > #view-screenshot-body {
  position: relative;
  height: 100%;
  width: 100%;
  background: -moz-element(#view-contacts-list);
}

.view-body-inner {
  overflow-x: hidden;
  overflow-y: auto;
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  z-index: 5;
  width: 100%;
  -moz-box-sizing: border-box;
  padding: 1.5rem;
  background: #fff;
  color: #333;
  text-align: left;
  will-change: scroll-position;
}

/* Removes scroll from the view body inner */
.view-noscroll .view-body-inner {
  width: -moz-calc(100% + 1rem);
}


/* LAYOUT */
/* ITEM: The smallest complete structure; */
.item {
  display: block;
  overflow: hidden;
}

.item-media {
  float: left;
  margin-right: 1rem;
}

.item-media.pull-right {
  margin-left: 1rem;
  margin-right: 0;
}

.item-media.pull-right button {
  padding-right: 3rem;
}

.item-body {
  display: table;
}

.item-body-exp {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* PULLS: Float an element to the desired position; */
.pull-right {
  float: right;
}

.pull-left {
  float: left;
}

/* STACK: inline block list items; */
.stack {
  letter-spacing: -0.4rem;
  text-align: center;
}

.stack > li {
  display: inline-block;
  vertical-align: middle;
  letter-spacing: 0;
}

/* ICONS */

span[role="button"] {
  font-size: 0;
  background: transparent no-repeat center center;
  background-size: 100% auto;
  display: inline-block;
}

span[role="button"].icon-finish {
  background-color: rgba(0, 0, 0, 0.5);
}

/* selection list */
span[role="button"].icon-selected {
  background-color: rgba(0, 0, 0, 0.5);
}

/* tabs */
span[role="button"].icon-profile {
  background-color: rgba(255, 255, 255, 0.5)
}

/* navigation */
span[role="button"].icon-log {
  background-color: rgba(255, 255, 255, 0.5);
}

span[role="button"].icon-contacts {
  background-color: rgba(255, 255, 255, 0.5);
}

span[role="button"].icon-messages {
  background-color: rgba(255, 255, 255, 0.5);
}

span[role="button"].icon-grid {
  background-color: rgba(255, 255, 255, 0.5);
}

/* GENERIC BUTTONS */
span[role="button"].icon-delete {
  background-image: url(/contacts/style/gphx/bitmap/default/forms/delete.png);
  background-size: 3rem;
}

span[role="button"].icon-addimage {
  background-image: url(/contacts/style/gphx/bitmap/default/forms/add.png);
  background-size: 3rem;
  width: 3rem;
  height: 2.9rem;
}

li button.icon-call:before {
  background-image: url(/contacts/style/gphx/bitmap/default/buttons/call.png);
}

li button.icon-message:before {
  background-image: url(/contacts/style/gphx/bitmap/default/buttons/sms.png);
}

li button.send-sms {
  width: 0;
}
li button.icon-email:before {
  background-image: url(/contacts/style/gphx/bitmap/default/buttons/mail.png);
}

span[role="button"].icon-address {
  background-image: url(/contacts/style/gphx/bitmap/default/buttons/location.png);
}

li button.icon-link:before {
  background-image: url(/contacts/style/gphx/bitmap/default/buttons/link.png);
}

/* Extending icons */
li button.icon-fav:before {
  background-image: url(/contacts/style/images/icon-fav-button-off.png);
  right: 0.5rem;
}

li button.icon-fav.on:before {
  background-image: url(/contacts/style/images/icon-fav-button-on.png);
}

li button.icon-fb-profile:before {
  background-image: url(/contacts/style/gphx/bitmap/default/buttons/fb_profile.png);
}

li button.icon-add:before {
  background-image: url(/contacts/style/gphx/bitmap/default/buttons/plus_sign.png);
  background-size: 3rem;
}

li button.icon-find-and-merge:before {
  background-image: url(/contacts/style/images/findandmerge.png);
  background-size: 3rem;
}


/* arrows */
span[role="button"].icon-arrow {
  border: solid 0.4rem transparent;
  width: 0;
  height: 0;
}

span[role="button"].icon-arrow.icon-arrow-top {
  margin-top: -0.4rem;
  border-bottom-color: #333;
}

span[role="button"].icon-arrow.icon-arrow-bottom {
  margin-top: 0.4rem;
  border-top-color: #333;
}

span[role="button"].icon-arrow.icon-arrow-left {
  margin-right: 0.4rem;
  border-right-color: #333;
}

span[role="button"].icon-arrow.icon-arrow-right {
  margin-left: 0.4rem;
  border-left-color: #333;
}

/* Block type (long text) */
.action-block {
  height: auto;
  min-height: 4rem;
  word-wrap: normal;
}
.action-block span[role="button"] {
  float: left;
  display: inline;
  background-size: 3rem;
  display: none; /* Hide unused button */
}
.action-block b {
  display: block;
  overflow: hidden;
  line-height: 1.4em;
}
.action-block span {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* FILL FLOW: general components for helping in defining basic flows in forms; */
.fill-flow {
  padding-right: 0;
}

/* ROW: horizontal separation for elements; */
.fillflow-row {
  position: relative;
}

.fillflow-left {
  margin-right: 0.7rem;
}

.fillflow-twocols {
  overflow: hidden;
}

.fillflow-twocols button {
  width: calc(50% - 0.5rem);
  float: left;
}

.fillflow-twocols button:last-child {
  float: right;
}

/* ROW ACTION */
.fillflow-row-action {
  position: absolute;
  right: 0;
  top: 0;
  width: auto;
  height: auto;
  padding-top: 0;
}

.fillflow-row-action span[role="button"] {
  border: none;
  margin: 0;
  height: 3.8rem;
}

/* MEDIA: specific ratio used in forms; */
.fillflow-media {
  margin: 0 1rem 0.5rem 0;
  width: 8.8rem;
  height: 8.8rem;
  position: relative;
  z-index: 0;
  border: 0.1rem solid #c7c7c7;
  background: rgba(255, 255, 255, 0.6);
}

.fillflow-media:active {
  color: #fff;
  background: rgba(105,230,255,0.5);
}

.fillflow-media.with-photo:active {
  background: none;
}

.fillflow-media p {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  text-align: center;
  z-index: -1;
}

.fillflow-media p em {
  display: block;
  color: #858585;
  font-size: 1.3rem;
  font-weight: normal;
  font-style: italic;
  margin-top: 0.2rem;
}

.fillflow-media .edit-photo {
  background: rgba(255, 255, 255, 0.4);
  top: 0;
  right: 5rem;
  z-index: 1;
  margin: 0;
  display: none;
  pointer-events: none;
}

.fillflow-media .edit-photo em {
  color: #fff;
  text-shadow: 0 0 2px rgba(0, 0, 0, 0.9);
  margin-top: 6rem;
}

.with-photo .edit-photo {
  display: block;
}


.fillflow-media img {
  width: 100%;
  height: 100%;
  background: #fff no-repeat center center;
  background-size: cover;
}

/* JUMPER */

nav[data-type="scrollbar"] {
  z-index: 6;
}

nav[data-type="scrollbar"].selecting {
  bottom: 4.2rem;
}

nav[data-type="scrollbar"] ol > li > * {
  pointer-events: none;
}

#groups-container.selecting {
  height: -moz-calc(100% - 7rem);
}

.contact-checkbox {
  left: 0 !important;
  display: none !important;
}

.contact-checkbox-selecting {
  display: block !important;
}

#groups-list.selecting .group-section li,
#search-list.selecting li {
  padding-left: 2rem;
}

form[role="dialog"].no-overlay {
  background: none;
  pointer-events: none;
  position: fixed;
}

form[role="dialog"].no-overlay button {
  pointer-events: auto;
}

#selectable-form {
  background: none;
}

#groups-list[data-type="list"].active.selecting li:not(:active):after {
  display:none !important;
}

.has-preferred-sim .icon-call b {
  right: 6.5rem;
}

.has-preferred-sim .icon-call:before {
  width: 9.5rem;
  background-size: 3rem;
}

.js-sim-indication {
  display: none;
  font-size: 1.3rem;
  color: #5F5F5F;
  font-style: normal;
  line-height: 4rem;
  height: 4rem;
  text-align: right;
  width: 5.5rem;
  right: 1rem;
  top: 0;
  margin: 0;
  position: absolute;
  background: url("/shared/style/sim_picker/images/long-tap-indicator.png") no-repeat right bottom 0.2rem / 1.4rem 1rem;
}

.has-preferred-sim .js-sim-indication {
  display: block;
}

#sim-picker {
  text-align: left;
}
